Migration issue: Another PHP handler was selected for that service template

Created:

2016-12-18 06:43:45 UTC

Modified:

2017-08-16 18:31:27 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Migration issue: Another PHP handler was selected for that service template

Applicable to:

  • Plesk for Linux

Symptoms

The following error appears after the migration is started:

Service plan 'example' on source server has PHP handler that is not installed on the target server: default OS PHP for PHP 5.4 running as Apache module.
Another PHP handler was selected for that service template: default Plesk handler for PHP 5.4.45 running in CGI mode
To resolve the issue, it is recommended to do one of the following:
- Install and enable such PHP handler to target server.
- Ensure that PHP handler that was selected automatically is fine for migrated web sites.
- Select appropriate PHP handler in service template once migration is finished and synchronize the changes to subscriptions.

Cause

The message indicates that there will be another PHP Handler chosen on the target server because the one used on the source server is unavailable on the target.

Note: It is not recommended to enable mod_php Apache handler as it is outdated and insecure. Please use PHP in FastCGI or FPM mode instead.

Resolution

This message is just a notification. Migration can be continued.

Additional information

#213372509 - Apache handler is not available in Plesk

Have more questions? Submit a request
Please sign in to leave a comment.